.travel-ref .title-section h1 {
    font-size: 49px;
}

.travel-ref ol:not([type="a"])>li::before {
    content: counter(num) " ";
}

.travel-ref .section-1 {
    width: 100%;
    max-width: 1920px;
    position: relative;
    padding-top: 797px;
    background-image: url(../../img/travel/travel-kv_md.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.travel-ref .kv-title-wrapper {
    position: absolute;
    top: 6.5%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    padding: 0 28px;
}

.travel-ref .section-1 .title-bg {
    max-width: 973px;
    padding-bottom: 37px;
}

.travel-ref .title-group {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 42px;
    max-width: none;
    margin-bottom: 0;
}

.travel-ref .title-group>div {
    width: auto;
    max-width: calc(100%/3 - 42px);
    top: 0;
}

.travel-ref .title-section.world-onsen div>img {
    width: 195px;
}

.travel-ref .title-section.family-onsen div>img {
    width: 190px;
}

.travel-ref .title-section.onsen-rules div>img {
    width: 148px;
}

.travel-ref .gotitle-btn .title-pics {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.travel-ref .gotitle-btn .title-pics .title-pics__icon {
    max-width: 200px;
    width: 100%;
    transform: scale(1);
}

.travel-ref .title-need .title-pics .title-pics__icon {
    width: 105%;
    max-width: 210px;
}

.travel-ref .gotitle-btn .title-pics .title-pics__arrow {
    position: relative;
    padding-top: 7%;
    max-width: 34px;
    width: 22%;
    transform: scale(1);
}

.travel-ref .gotitle-btn:hover .title-pics .title-pics__icon {
    transform: scale(1.1);
    transition-duration: 0.5s;
}

.travel-ref .gotitle-btn:hover .title-pics .title-pics__arrow {
    top: 2%;
    transition-duration: 0.5s;
    animation: downbtn 1.2s infinite ease -1.2s;
}

.travel-ref {
    margin-bottom: 0;
}

.travel-ref .section-2:before {
    content: '';
    width: 100%;
    height: 311px;
    background-image: url(../../img/travel/travel-kv-bottom_md.png);
    background-size: 1920px 311px;
    background-position: top center;
    background-repeat: repeat-x;
    position: absolute;
    z-index: -1;
}

.travel-ref .section-2:after {
    content: '';
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 185px;
    background-image: url(../../img/travel/travel-bg-bottom_md.png);
    background-size: 1919px 185px;
    background-position: bottom center;
    background-repeat: repeat-x;
    z-index: -1;
}

.travel-ref .title-section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 16px;
}

.travel-ref .title-section img {
    padding-top: 98px;
}

/* 膠囊連結按鈕設定 */
.travel-ref .pill-link .pill-link__item {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-width: 300px;
}

.pill-link__button {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    cursor: pointer;
}

.pill-link__button .pill-link__text {
    padding: 15px 40px 15px 18px;
    font-size: 24px;
}

/* 填滿層 */
.pill-link__button .pill-link__text::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: #ff6666;
    /* hover 填滿顏色 */
    transform: scaleX(0);
    transform-origin: left center;
    transition: transform 0.3s ease;
    z-index: -1;
}

a.pill-link__button:hover .pill-link__text::before {
    transform: scaleX(1);
}

.pill-link__button.pill-arrow .pill-link__icon {
    z-index: 3;
    max-width: 57.5px;
    margin-left: -47.5px;
    margin-bottom: -1.5px;
}

.pill-link__button .pill-link__text>span {
    color: #FFD179;
}

.pill-link__button .pill-link__text>span {
    color: #FFD179;
}

/****投保方案區塊****/
.insurance-plans {
    padding: 23px 58px 50px;
    background-color: #DDEAF1;
}

.insurance-plans h3 {
    font-size: 24px;
    font-weight: 700;
    color: #333;
    margin-bottom: 20px;
}

.insurance-plans .insurance-plans__group {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    row-gap: 13px;
    column-gap: 37px;
    margin-top: 13px;
}

.insurance-plans .insurance-plans__item {
    flex: 1 1 calc(50% - 34px);
}

.insurance-plans .insurance-plans__item>img {
    max-width: 70px;
}

.insurance-plans .insurance-plans__item--centered {
    margin: 0 auto;
    width: 420px;
}

.insurance-plans .insurance-plans__button {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #333;
    padding: 12px 11px 14px 24px;
    border-radius: 100px;
    font-size: 21px;
    font-weight: 700;
    color: #fff;
    margin-top: -23px;
    margin-left: 7px;
}

.insurance-plans .insurance-plans__text {
    flex: 1;
    text-align: center;
    padding-right: 1px;
    margin-right: -12px;
}

.insurance-plans .insurance-plans__button .insurance-plans__icon>img {
    max-width: 57px;
}

.insurance-plans__button .insurance-plans__text>span {
    color: #FFD179;
}

.travel-ref .another-page {
    margin-top: 53px;
    margin-bottom: 0;
    padding-bottom: 226px;
    display: flex;
    justify-content: space-between;
    gap: 45px;
}

.travel-ref .another-page>a {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    margin: 0;
}

.travel-ref .another-page>a>img {
    max-width: 247px;
    width: 100%;
    margin: 0;
}

.another-page .pill-link__button {
    width: 275px;
    margin-top: 6px;
}

.another-page a.page-family-onsen>img {
    max-width: 191.5px
}

.another-page a.page-onsen-rules>img {
    max-width: 138px;
}

.another-page a.page-world-onsen>img {
    max-width: 210px;
}

.another-page .pill-link__button .pill-link__text {
    font-weight: bold;
    font-size: 24px;
    border-radius: 25px;
}

.another-page .pill-link__button .pill-link__icon {
    max-width: 52.5px;
    margin-right: -32px;
}

.another-page .pill-link__button.pill-prev .pill-link__text {
    max-width: 275px;
    width: auto;
    padding: 9px 24px 9px 44px;
    margin-left: -40px;
}

.another-page .pill-link__button.pill-next .pill-link__text {
    max-width: 275px;
    width: auto;
    padding: 10px 45px 10px 24px;
    margin-right: -40px;
}

.another-page .pill-link__button.pill-prev .pill-link__icon {
    margin: 0;
}

.another-page .pill-link__button.pill-next .pill-link__icon {
    margin: 0;
}

.another-page a:hover .pill-link__text::before {
    transform: scaleX(1);
}

/** 間距設定 **/
.mgt-xl {
    margin-top: 69px;
}

.mgt-l {
    margin-top: 40px;
}

.mgt-md {
    margin-top: 24px;
}

.mgt-sm {
    margin-top: 10px;
}

.travel-ref .insurance-plans__item:hover {
    transform: scale(1.1);
    transition-duration: 0.5s;
}

/* 膠囊連結按鈕設定 end */
@media screen and (max-width: 1024px) {
    .travel-ref .section-1-wrapper {
        width: 100%;
        max-width: 1608px;
        margin: 0 auto;
    }

    .travel-ref .section-1 {
        width: 100%;
        max-width: 1608px;
        position: relative;
        padding-top: 670px;
        background-image: url(../../img/travel/travel-kv_md.png);
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
    }

    .travel-ref .section-1 .title-bg {
        max-width: 800px;
        padding-bottom: 26px;
    }

    .travel-ref .gotitle-btn .title-pics .title-pics__icon {
        max-width: 200px;
    }

    .travel-ref .title-need .title-pics .title-pics__icon {
        max-width: 210px;
    }

    .insurance-plans .insurance-plans__button {
        padding: 12px 11px 14px 36px;
    }

    .insurance-plans .insurance-plans__text {
        padding-right: 6px;
        margin-right: 0;
    }
}

@media screen and (max-width: 768px) {

    .travel-ref .title-section h1 {
        font-size: 28px;
    }

    .travel-ref .title-section.world-onsen div>img {
        width: 120px;
    }

    .travel-ref .title-section.family-onsen div>img {
        width: 126px;
    }

    .travel-ref .title-section.onsen-rules div>img {
        width: 90px;
    }

    .travel-ref .section-1 {
        padding-top: calc(1164 / 750 * 100%);
        background-image: url('../../img/travel/travel-kv_sm.png');
        background-size: cover;
        background-position: center;
    }

    .travel-ref .section-1 .title-bg {
        padding-bottom: 8%;
        max-width: 670px;
    }

    .travel-ref .kv-title-wrapper {
        top: 6%;
        margin: 0 auto;
    }

    .travel-ref .reset-mgt {
        margin-top: 0 !important;
    }

    .travel-ref .pill-link {
        gap: 16px;
        margin-bottom: 99px;
    }

    .travel-ref .pill-link .pill-link__group {
        gap: 16px;
    }

    .travel-ref .title-group {
        gap: 30px;
    }

    .travel-ref .title-group>div {
        width: auto;
        max-width: calc(100%/3 - 30px);
    }

    .travel-ref .title-section img {
        padding-top: 45px;
    }

    .travel-pill .pill-link__button {
        position: relative;
        display: inline-flex;
        align-items: center;
        text-decoration: none;
        cursor: pointer;
        width: 175px;
    }

    .travel-pill .pill-link__button .pill-link__text {
        width: 100%;
        background-color: #333;
        color: #fff;
        padding: 8px 36px 8px 13px;
        border-radius: 999px;
        font-size: 24px;
        font-weight: bold;
        line-height: 1;
        text-align: center;
    }

    .travel-pill .pill-link__button.pill-arrow .pill-link__icon {
        max-width: 40px;
        margin-left: -32px;
    }

    .travel-pill .pill-link__button.pill-moto .pill-link__text {
        width: 175px;
        padding: 8px 13px 8px 35px;
    }

    .travel-pill .pill-link__button.pill-car .pill-link__text {
        padding: 8px 13px 8px 32px;
    }

    .travel-pill .pill-link__button.pill-car .pill-link__icon {
        max-width: 60px;
    }

    .travel-pill .pill-link__button.pill-moto .pill-link__icon {
        max-width: 50px;
    }

    .insurance-plans {
        padding: 23px 40px 30px;
    }

    .another-page a.page-family-onsen>img {
        max-width: 153.2px;
    }

    .another-page a.page-onsen-rules>img {
        max-width: 110.4px;
    }

    .another-page a.page-world-onsen>img {
        max-width: 168px;
    }

    .another-page .pill-link__button {
        width: 100%;
    }

    .another-page .pill-link__button .pill-link__icon {
        z-index: 2;
        max-width: 42px;
        margin-right: -32px;
    }

    .another-page .pill-link__button.pill-prev .pill-link__text {
        max-width: 240px;
        padding: 8px 14px 8px 32px;
        margin-left: -30px;
    }

    .another-page .pill-link__button.pill-next .pill-link__text {
        max-width: 240px;
        padding: 8px 32px 8px 14px;
        margin-right: -30px;
    }

    .insurance-plans .insurance-plans__group {
        column-gap: 20px;
    }

    .insurance-plans .insurance-plans__item {
        flex: 1 1 100%;
    }
    
    .insurance-plans .insurance-plans__item--centered {
        width: 100%;
    }

    .insurance-plans .insurance-plans__button {
        padding: 12px 11px 14px 16px;
        font-size: 18px;
    }

    .insurance-plans .insurance-plans__button .insurance-plans__icon>img {
        max-width: 40px;
    }

    /** 間距設定 **/
    .mgt-xl {
        margin-top: 40px;
    }

    .mgt-l {
        margin-top: 30px;
    }

    .mgt-md {
        margin-top: 20px;
    }

    .mgt-sm {
        margin-top: 10px;
    }
}

@media screen and (max-width: 600px) {
    .another-page .pill-link__button .pill-link__text {
        font-size: 20px;
    }
}

@media screen and (max-width: 500px) {
    .travel-ref .section-1 {
        padding-top: calc(1536 / 1024 * 97%);
        background-position: bottom;
    }

    .travel-ref .section-1 .title-bg {
        padding-bottom: 6%;
    }

    .travel-ref .pill-link {
        flex-direction: column;
        align-items: center;
        gap: 16px;
        margin-bottom: 60px;
    }

    .travel-ref .pill-link .pill-link__group {
        flex-direction: column;
        align-items: center;
        gap: 16px;
    }

    .travel-ref .title-group {
        gap: 18px;
    }

    .travel-ref .title-group>div {
        width: auto;
        max-width: calc(100%/3 - 18px);
    }

    .travel-ref .title-group {
        gap: 18px;
    }

    .travel-ref .title-group>div {
        width: auto;
        max-width: calc(100%/3 - 18px);
    }

    .travel-ref .another-page>a>img {
        width: 100%;
    }

    .another-page a.page-family-onsen>img {
        max-width: 95.75px;
    }

    .another-page a.page-onsen-rules>img {
        max-width: 69px;
    }

    .another-page a.page-world-onsen>img {
        max-width: 105px;
    }


    .pill-link__button .pill-link__text {
        font-size: 18px;
    }

    .another-page .pill-link__button {
        width: 100%;
    }

    .another-page .pill-link__button .pill-link__text {
        font-size: 14px;
    }

    .another-page .pill-link__button .pill-link__icon {
        z-index: 2;
        max-width: 28px;
        margin-right: -18px;
    }

    .another-page .pill-link__button.pill-prev .pill-link__text {
        max-width: 150px;
        padding: 6px 6px 6px 20px;
        margin-left: -20px;
    }

    .another-page .pill-link__button.pill-next .pill-link__text {
        max-width: 150px;
        padding: 6px 20px 6px 6px;
        margin-right: -20px;
    }
}

@media screen and (max-width: 425px) {
    .travel-ref .another-page>a {
        width: auto;
    }
}

/** 蓋掉 main 的設定 */
@media (min-width: 768px) {
    .d-md-block {
        display: block !important;
    }

    .mgt-md {
        margin-top: 20px;
    }
}

@media (min-width: 576) {
    .d-sm-block {
        display: block !important;
    }
}
